## arduino-cli core download

Downloads one or more cores and corresponding tool dependencies.

### Synopsis

Downloads one or more cores and corresponding tool dependencies.

```
arduino-cli core download [PACKAGER:ARCH[@VERSION]]... [flags]
```

### Examples

```
  debian/build/bin/docsgen core download arduino:samd       # download the latest version of Arduino SAMD core.
  debian/build/bin/docsgen core download arduino:samd@1.6.9 # download a specific version (in this case 1.6.9).
```

### Options

```
  -h, --help   help for download
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli core](arduino-cli_core.md)	 - Arduino core operations.

